summaryrefslogtreecommitdiff
path: root/app-emulation/wine
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /app-emulation/wine
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'app-emulation/wine')
-rw-r--r--app-emulation/wine/files/wine-0.9.51-valgrind.patch56
-rw-r--r--app-emulation/wine/files/wine-1.0_rc3-openssl.patch81
-rw-r--r--app-emulation/wine/files/wine-1.1.4-install-fix.patch22
-rw-r--r--app-emulation/wine/files/wine-gentoo-no-ssp.patch16
-rw-r--r--app-emulation/wine/wine-9999.ebuild137
5 files changed, 312 insertions, 0 deletions
diff --git a/app-emulation/wine/files/wine-0.9.51-valgrind.patch b/app-emulation/wine/files/wine-0.9.51-valgrind.patch
new file mode 100644
index 0000000..acd0bb1
--- /dev/null
+++ b/app-emulation/wine/files/wine-0.9.51-valgrind.patch
@@ -0,0 +1,56 @@
+http://bugs.gentoo.org/202542
+
+fix from Rafal Muzylo building with newer versions of valgrind
+
+--- dlls/ntdll/heap.c
++++ dlls/ntdll/heap.c
+@@ -142,6 +142,8 @@
+ if (TRACE_ON(heap) || WARN_ON(heap)) memset( ptr, ARENA_FREE_FILLER, size );
+ #ifdef VALGRIND_MAKE_NOACCESS
+ VALGRIND_DISCARD( VALGRIND_MAKE_NOACCESS( ptr, size ));
++#elif defined(VALGRIND_MAKE_MEM_NOACCESS)
++ VALGRIND_DISCARD( VALGRIND_MAKE_MEM_NOACCESS( ptr, size ));
+ #endif
+ }
+
+@@ -150,6 +152,8 @@
+ {
+ #ifdef VALGRIND_MAKE_READABLE
+ VALGRIND_DISCARD( VALGRIND_MAKE_READABLE( ptr, size ));
++#elif defined(VALGRIND_MAKE_MEM_DEFINED)
++ VALGRIND_DISCARD( VALGRIND_MAKE_MEM_DEFINED( ptr, size ));
+ #endif
+ }
+
+@@ -158,6 +162,8 @@
+ {
+ #ifdef VALGRIND_MAKE_WRITABLE
+ VALGRIND_DISCARD( VALGRIND_MAKE_WRITABLE( ptr, size ));
++#elif defined(VALGRIND_MAKE_MEM_UNDEFINED)
++ VALGRIND_DISCARD( VALGRIND_MAKE_MEM_UNDEFINED( ptr, size ));
+ #endif
+ if (TRACE_ON(heap) || WARN_ON(heap))
+ {
+@@ -165,6 +171,8 @@
+ #ifdef VALGRIND_MAKE_WRITABLE
+ /* make it uninitialized to valgrind again */
+ VALGRIND_DISCARD( VALGRIND_MAKE_WRITABLE( ptr, size ));
++#elif defined(VALGRIND_MAKE_MEM_UNDEFINED)
++ VALGRIND_DISCARD( VALGRIND_MAKE_MEM_UNDEFINED( ptr, size ));
+ #endif
+ }
+ }
+--- dlls/ntdll/signal_i386.c
++++ dlls/ntdll/signal_i386.c
+@@ -936,8 +936,10 @@
+ }
+
+ stack--; /* push the stack_layout structure */
+-#ifdef HAVE_VALGRIND_MEMCHECK_H
++#ifdef VALGRIND_MAKE_WRITABLE
+ VALGRIND_MAKE_WRITABLE(stack, sizeof(*stack));
++#elif defined(VALGRIND_MAKE_MEM_UNDEFINED)
++ VALGRIND_MAKE_MEM_UNDEFINED(stack, sizeof(*stack));
+ #endif
+ stack->ret_addr = (void *)0xdeadbabe; /* raise_func must not return */
+ stack->rec_ptr = &stack->rec;
diff --git a/app-emulation/wine/files/wine-1.0_rc3-openssl.patch b/app-emulation/wine/files/wine-1.0_rc3-openssl.patch
new file mode 100644
index 0000000..b0ef483
--- /dev/null
+++ b/app-emulation/wine/files/wine-1.0_rc3-openssl.patch
@@ -0,0 +1,81 @@
+http://bugs.winehq.org/show_bug.cgi?id=13561
+http://bugs.gentoo.org/224049
+
+commit 7c616799894faa48ee3277bc276a39bed55780e0
+Author: Alexandre Julliard <julliard@winehq.org>
+Date: Mon Jun 2 12:14:37 2008 +0200
+
+ wininet: Include openssl/ssl.h before Windows headers.
+
+diff --git a/dlls/wininet/internet.h b/dlls/wininet/internet.h
+index 2645686..43b8d8e 100644
+--- a/dlls/wininet/internet.h
++++ b/dlls/wininet/internet.h
+@@ -38,18 +38,6 @@
+ # include <sys/types.h>
+ # include <netinet/in.h>
+ #endif
+-#ifdef HAVE_OPENSSL_SSL_H
+-#define DSA __ssl_DSA /* avoid conflict with commctrl.h */
+-#undef FAR
+-/* avoid conflict with wincrypt.h */
+-#undef PKCS7_SIGNER_INFO
+-#undef X509_NAME
+-#undef X509_CERT_PAIR
+-# include <openssl/ssl.h>
+-#undef FAR
+-#define FAR do_not_use_this_in_wine
+-#undef DSA
+-#endif
+ #ifdef HAVE_SYS_SOCKET_H
+ # include <sys/socket.h>
+ #endif
+@@ -69,12 +57,10 @@ typedef struct
+ {
+ BOOL useSSL;
+ int socketFD;
+-#ifdef HAVE_OPENSSL_SSL_H
+- SSL *ssl_s;
++ void *ssl_s;
+ char *peek_msg;
+ char *peek_msg_mem;
+ size_t peek_len;
+-#endif
+ } WININET_NETCONNECTION;
+
+ static inline LPWSTR WININET_strdupW( LPCWSTR str )
+diff --git a/dlls/wininet/netconnection.c b/dlls/wininet/netconnection.c
+index 9cd7917..f55fbf2 100644
+--- a/dlls/wininet/netconnection.c
++++ b/dlls/wininet/netconnection.c
+@@ -23,6 +23,7 @@
+ #include "config.h"
+ #include "wine/port.h"
+
++#include <sys/types.h>
+ #ifdef HAVE_POLL_H
+ #include <poll.h>
+ #endif
+@@ -42,6 +43,22 @@
+ #ifdef HAVE_SYS_IOCTL_H
+ # include <sys/ioctl.h>
+ #endif
++#include <time.h>
++#ifdef HAVE_NETDB_H
++# include <netdb.h>
++#endif
++#ifdef HAVE_NETINET_IN_H
++# include <netinet/in.h>
++#endif
++#ifdef HAVE_OPENSSL_SSL_H
++# include <openssl/ssl.h>
++#undef FAR
++#undef DSA
++#endif
++#ifdef HAVE_SYS_SOCKET_H
++# include <sys/socket.h>
++#endif
++
+ #include <stdarg.h>
+ #include <stdlib.h>
+ #include <string.h>
diff --git a/app-emulation/wine/files/wine-1.1.4-install-fix.patch b/app-emulation/wine/files/wine-1.1.4-install-fix.patch
new file mode 100644
index 0000000..7ff5771
--- /dev/null
+++ b/app-emulation/wine/files/wine-1.1.4-install-fix.patch
@@ -0,0 +1,22 @@
+From: Alexandre Julliard <julliard@winehq.org>
+Date: Mon, 8 Sep 2008 10:37:56 +0000 (+0200)
+Subject: makefile: Fix dependency for programs install.
+X-Git-Url: http://source.winehq.org/git/wine.git/?a=commitdiff_plain;h=78c79ba349deea39
+
+makefile: Fix dependency for programs install.
+---
+
+diff --git a/Makefile.in b/Makefile.in
+index 0b2c6c0..1dd8ef1 100644
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -96,7 +96,8 @@ include/__install__ include/__install-dev__: include libs tools
+ libs/__install__ libs/__install-lib__ libs/__install-dev__: libs
+ loader/__install__ loader/__install-lib__: libs tools
+ server/__install__ server/__install-lib__: libs tools
+-programs/__install__ programs/__install-lib__: libs tools include dlls/__install-lib__
++programs/__install__: libs tools include dlls/__install__
++programs/__install-lib__: libs tools include dlls/__install-lib__
+ tools/__install__ tools/__install-lib__ tools/__install-dev__: tools
+
+ RECURSE_TARGETS = \
diff --git a/app-emulation/wine/files/wine-gentoo-no-ssp.patch b/app-emulation/wine/files/wine-gentoo-no-ssp.patch
new file mode 100644
index 0000000..ee33c4b
--- /dev/null
+++ b/app-emulation/wine/files/wine-gentoo-no-ssp.patch
@@ -0,0 +1,16 @@
+support older ssp (gcc-3.4.x). this ssp was never in mainline gcc, thus
+upstream wine wont accept it. can drop once hardened gets a stable gcc-4.x.
+
+http://bugs.gentoo.org/66002
+
+--- loader/preloader.c
++++ loader/preloader.c
+@@ -155,6 +155,8 @@ struct wld_link_map {
+
+ /* similar to the above but for -fstack-protector */
+ void *__stack_chk_guard = 0;
++void *__guard = 0;
++void __stack_smash_handler(void) { return; }
+ void __stack_chk_fail(void) { return; }
+
+ * The _start function is the entry and exit point of this program
diff --git a/app-emulation/wine/wine-9999.ebuild b/app-emulation/wine/wine-9999.ebuild
new file mode 100644
index 0000000..e1aeff3
--- /dev/null
+++ b/app-emulation/wine/wine-9999.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-9999.ebuild,v 1.34 2009/03/01 09:05:51 vapier Exp $
+
+EAPI="2"
+
+inherit multilib
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="git://source.winehq.org/git/wine.git"
+ inherit git
+ SRC_URI=""
+ KEYWORDS=""
+else
+ MY_P="${PN}-${PV/_/-}"
+ SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
+ KEYWORDS="-* ~amd64 ~x86 ~x86-fbsd"
+ S=${WORKDIR}/${MY_P}
+fi
+
+GV="0.9.1"
+DESCRIPTION="free implementation of Windows(tm) on Unix"
+HOMEPAGE="http://www.winehq.org/"
+SRC_URI="${SRC_URI}
+ gecko? ( mirror://sourceforge/wine/wine_gecko-${GV}.cab )"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="alsa cups dbus esd +gecko gnutls hal jack jpeg lcms ldap nas ncurses +opengl oss png samba scanner ssl win64 +X xcomposite xinerama xml"
+RESTRICT="test" #72375
+
+RDEPEND=">=media-libs/freetype-2.0.0
+ media-fonts/corefonts
+ ncurses? ( >=sys-libs/ncurses-5.2 )
+ jack? ( media-sound/jack-audio-connection-kit )
+ dbus? ( sys-apps/dbus )
+ gnutls? ( net-libs/gnutls )
+ hal? ( sys-apps/hal )
+ X? (
+ x11-libs/libXcursor
+ x11-libs/libXrandr
+ x11-libs/libXi
+ x11-libs/libXmu
+ x11-libs/libXxf86vm
+ x11-apps/xmessage
+ )
+ alsa? ( media-libs/alsa-lib[midi] )
+ esd? ( media-sound/esound )
+ nas? ( media-libs/nas )
+ cups? ( net-print/cups )
+ opengl? ( virtual/opengl )
+ jpeg? ( media-libs/jpeg )
+ ldap? ( net-nds/openldap )
+ lcms? ( media-libs/lcms )
+ samba? ( >=net-fs/samba-3.0.25 )
+ xml? ( dev-libs/libxml2 dev-libs/libxslt )
+ scanner? ( media-gfx/sane-backends )
+ ssl? ( dev-libs/openssl )
+ png? ( media-libs/libpng )
+ amd64? (
+ X? (
+ >=app-emulation/emul-linux-x86-xlibs-2.1
+ >=app-emulation/emul-linux-x86-soundlibs-2.1
+ )
+ app-emulation/emul-linux-x86-baselibs
+ >=sys-kernel/linux-headers-2.6
+ )"
+DEPEND="${RDEPEND}
+ X? (
+ x11-proto/inputproto
+ x11-proto/xextproto
+ x11-proto/xf86vidmodeproto
+ )
+ sys-devel/bison
+ sys-devel/flex"
+
+src_unpack() {
+ if [[ ${PV} == "9999" ]] ; then
+ git_src_unpack
+ else
+ unpack ${MY_P}.tar.bz2
+ fi
+}
+
+src_prepare() {
+ sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
+ sed -i '/^MimeType/d' tools/wine.desktop || die #117785
+}
+
+src_configure() {
+ export LDCONFIG=/bin/true
+
+# use amd64 && ! use win64 && multilib_toolchain_setup x86
+
+ # XXX: should check out these flags too:
+ # audioio capi fontconfig freetype gphoto
+ econf \
+ --sysconfdir=/etc/wine \
+ $(use_with alsa) \
+ $(use_with cups) \
+ $(use_with esd) \
+ $(use_with gnutls) \
+ $(! use dbus && echo --without-hal || use_with hal) \
+ $(use_with jack) \
+ $(use_with jpeg) \
+ $(use_with lcms cms) \
+ $(use_with ldap) \
+ $(use_with nas) \
+ $(use_with ncurses curses) \
+ $(use_with opengl) \
+ $(use_with oss) \
+ $(use_with png) \
+ $(use_with scanner sane) \
+ $(use_with ssl openssl) \
+ $(use_enable win64) \
+ $(use_with X x) \
+ $(use_with xcomposite) \
+ $(use_with xinerama) \
+ $(use_with xml) \
+ $(use_with xml xslt) \
+ || die "configure failed"
+
+ emake -j1 depend || die "depend"
+}
+
+src_compile() {
+ emake all || die "all"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc ANNOUNCE AUTHORS README
+ if use gecko ; then
+ insinto /usr/share/wine/gecko
+ doins "${DISTDIR}"/wine_gecko-${GV}.cab || die
+ fi
+}